Subject: Re: linux-next: Tree for Oct 15

From: Thierry Reding <[email-masked]>
Date: Wed, 16 Oct 2013 17:50:56 +0200

On Tue, Oct 15, 2013 at 10:21:27PM -0700, Guenter Roeck wrote:
> On 10/15/2013 07:02 AM, Thierry Reding wrote:
> >Hi all,
> >
> >I've uploaded today's linux-next tree to the master branch of the
> >repository below:
> >
> >         git://gitorious.org/thierryreding/linux-next.git
> >
> >A next-20131015 tag is also provided for convenience.
> >
> >Gained a new conflict, but nothing too exciting. x86 and ARM default
> >configurations build fine. I've also used an x86 allmodconfig build to
> >check for build errors. Mark fixed most of those in the trees that he
> >created last Thursday and Friday, so I've cherry-picked them on top of
> >the final merge. There was one new build failure in the staging tree
> >that was trivial to fix so I added a patch to the tree as well.
> >
> 
> This build does look much better than the previous ones. I 'only' get 12 build failures
> out of 106 configurations.

Thanks for running these!

> Worst are powerpc builds, with 7 out of 14 builds failed.

Yes, I'm seeing those too. I used to carry a fix for many of these in
earlier linux-next trees but since I haven't had the time to run the
PowerPC builds in a while I haven't cherry-picked it to new trees.

If you want to give it a try with those fixes, here's the commit from
next-20131009, which seems to be the last one to have it:

	5a7a5211555a68a3144aa35015684e3a156cb11f powerpc: Fix various build failures

I'll see if I can make some time available to add these in the next
days.

Thierry